Get market cap details for a currency

GET https://api.cryptohopper.com/v1/exchange/marketcap/{currency}

Returns the stored market data and profile of one currency: price, market cap, supply, all-time high, links and the English about text.

OAuth scope: read About scopes

Example request

curl "https://api.cryptohopper.com/v1/exchange/marketcap/CURRENCY" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
currency string Required Currency symbol, for example BTC.

Response

Example response (illustrative values)

{
    "data": {
        "id": "1",
        "name": "Bitcoin",
        "symbol": "BTC",
        "slug": "bitcoin",
        "img": "https://cdn.cryptohopper.com/images/exchange/currencies/BTC.png",
        "rank": "1",
        "price_usd": "63120.4500000000",
        "price_btc": "1.00000000",
        "volume_usd_24h": "32000000000.00",
        "market_cap_usd": "1250000000000.00",
        "high_24h": "64250.1200000000",
        "low_24h": "62010.5500000000",
        "available_supply": "19750000.00",
        "total_supply": "21000000.00",
        "ath": "73750.0000000000",
        "ath_date": "1710460800",
        "price_change_24h": "1150.2000000000",
        "percent_change_24h": "1.85",
        "weekly": null,
        "weekly_expire": "1758787200",
        "about_text": "Bitcoin is the first decentralized cryptocurrency.",
        "meta_keywords": "bitcoin, btc, price",
        "meta_description": "Bitcoin price, market cap and charts.",
        "faq": null,
        "code": "BTC",
        "description": "Bitcoin is a decentralized digital currency.",
        "image_small": "https://cdn.cryptohopper.com/images/exchange/currencies/BTC.png",
        "image_big": "https://cdn.cryptohopper.com/images/exchange/currencies/BTC.png",
        "exchanges": null,
        "links": null,
        "created": "2018-01-01 00:00:00",
        "updated": "2026-09-01 00:00:00",
        "leveraged_token": "0",
        "stable_coin": "0"
    }
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.